Relesys API Docs

v1.2

https://api.relesysapp.net/api/v1.2

Content

Update Content
PATCH /contentmodules/{moduleId}/content/{contentId}
https://api.relesysapp.net/api/v1.2/contentmodules/{moduleId}/content/{contentId}
Update a content post with contentId in a module with moduleId.
Accepts a JsonPatch request in the body and replaces provided fields.

The following fields are allowed to be updated:
categoryId, locales, mediaIds, permissions, and notifications

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Request Body
application/json-patch+json
JSON
[{"value":"d23ec586-4ebc-418b-a868-d7c1363af468","path":"/categoryId","op":"replace"},{"value":[{"culture":"da-DK","title":"Title","bodyText":"Body text"}],"path":"/locales","op":"replace"},{"value":["47d86ceb-5414-432a-bc23-939d43d70ced"],"path":"/mediaIds","op":"replace"},{"value":[{"userGroups":[],"departments":[],"requireAllUserGroups":false}],"path":"/permissions","op":"replace"},{"value":{"sendNotification":false,"sendPushNotification":false,"forceInstantPush":false},"path":"/notifications","op":"replace"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"1031739a-248b-460c-a377-22283ac15c2c","url":null,"userId":"b3fa9ad0-8203-41c4-937a-76084ddb53ea","userUrl":null,"categoryId":"3706c4a6-60ee-4f23-b3d6-f6dc62a38574","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-04-29T17:42:14.4837819+00:00","lastModifiedDateTime":"2026-04-30T13:42:14.4837819+00:00","availableFrom":"2026-04-30T17:42:14","startDateTimeZone":null,"availableUntil":"2026-05-01T17:42:14","endDateTimeZone":null,"medias":[{"id":"69b53b82-6861-4415-8d5b-880d60ac149d","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"26d4de81-5527-4737-9c9c-2ee94ffe1b6f","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"451a6911-b334-4679-b4d8-dcdfb7ff4596","url":null},{"type":"Department","name":"Department name example","id":"f9fe8f02-3bb1-4c51-8822-bcf3c9ffc0d7","url":null},{"type":"User group","name":"User group name example","id":"4fceb583-e3d4-45a0-bd9d-1ef260ef12c8","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"bf872079-5ddf-467b-a76b-76ee441d8c58"}],"userGroups":[{"url":null,"name":"User group name example","id":"dd7cf6bb-0ac6-493e-9c26-054308c917be"}],"requireAllUserGroups":false}]}}
object
  data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    bodyText string      
    culture string      
    title string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   permissions array[object]      
    departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string